Skip to main content
POST
Purchase reward

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Unique program identifier

memberId
string
required

Unique member identifier

Body

application/json
reward_id
string
required

ID of the reward to purchase (must be assigned to the program)

Response

Reward purchase initiated (processed asynchronously)

Result of a reward purchase operation

status
enum<string>
Available options:
TRANSACTION_CREATED,
NO_SPENT_ON_REWARD
message
string

Human-readable result message

Example:

"Points spent on reward transaction created"

transaction
object | null

The created card transaction for the reward purchase

Last modified on May 19, 2026